container-registry-docker:
  stage: test
  image: docker:19.03.7
  services:
    - docker:19.03.7-dind
  variables:
    DOCKER_TLS_CERTDIR: ""
    IMAGE_TAG: $CI_REGISTRY_IMAGE:$CI_COMMIT_REF_SLUG
  before_script:
    - echo "${CI_REGISTRY_IMAGE}" | grep -q example.com && echo -e "Registry is example.com (${CI_REGISTRY_IMAGE})\nCheck whether the registry is configured." && exit 1
  script:
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
    - docker build -t $IMAGE_TAG container-registry-docker
    - docker push $IMAGE_TAG
